/*
 * CG Madness - a Marble Madness clone
 * Copyright (C) 2007  Sven Reinck <sreinck@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "MessageDispatcher.hpp"

MessageDispatcher::MessageDispatcher()
{
  // empty
}

MessageDispatcher::~MessageDispatcher()
{
  // empty
}

void MessageDispatcher::newUser(grapple_user id, bool me, const char* name)
{
	if (me)
	{
		log(String("GRAPPLE_MSG_NEW_USER_ME: ") + String::toString(id));
	}
	else
	{
		log(String("GRAPPLE_MSG_NEW_USER: ") + String::toString(id));
	}
}

void MessageDispatcher::userName(grapple_user id, const char* name)
{
	log(String("GRAPPLE_MSG_USER_NAME: ") + String::toString(id) + " " + name);
}

void MessageDispatcher::userDisconnected(grapple_user id)
{
	log(String("GRAPPLE_MSG_USER_DISCONNECTED: ") + String::toString(id));
}

void MessageDispatcher::serverDisconnected()
{
	log(String("GRAPPLE_MSG_SERVER_DISCONNECTED"));
}

void MessageDispatcher::connectionRefused(grapple_connection_refused reason)
{
	log(String("GRAPPLE_MSG_CONNECTION_REFUSED: ") + String::toString(reason));
}
